body {
  background-image: url("../img/background.png");
  background-repeat: no-repeat;
  background-size: cover;
  font-family: "Ubuntu", sans-serif;
}

.header {
  width: 100%;
  height: 58px;
  background: rgba(0, 0, 0, 0.4);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

main {
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100vh - 58px);
}

a {
  text-decoration: none;
}

.wrapper {
  margin: 0 79px;
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #ffffff;
  transition: 0.3s;
}

.wrapper:hover {
  opacity: 0.6;
}

.left-side {
  color: #ffffff;
  font-weight: 700;
  font-size: 22px;
  transition: 0.3s;
}

.left-side:hover {
  color: #01813f;
}

.right-side {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.right-welcome {
  position: relative;
  font-weight: 700;
  font-size: 14px;
  margin-left: 27px;
}

.right-welcome a {
  color: #ffffff;
  transition: 0.3s;
}

.right-welcome a:hover {
  color: #01813f;
}

.right-welcome::before {
  content: "";
  position: absolute;
  top: -4px;
  height: 23px;
  border-left: rgba(255, 255, 255, 0.5) solid 1px;
  margin-left: -27px;
}

.navicon {
  margin-right: 25px;
}

.navicon path {
  transition: all ease 0.3s;
}

.navicon:hover path {
  fill: #01813f;
}

.container {
  position: relative;
  box-sizing: border-box;
  padding: 26px 60px 38px;
  width: 444px;
  height: 584px;
  background: #ffffff;
  box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
}

.container:after {
  content: "";
  position: absolute;
  width: 18px;
  height: 18px;
  left: 0px;
  top: 29px;
  background: #3cb878;
}

.signup-login-switcher {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

.form-signup {
  text-decoration: none;
  font-size: 20px;
  color: #434343;
}

.form-login {
  text-decoration: none;
  font-size: 14px;
  color: #3cb878;
}

.form-login:hover {
  color: #01813f;
  text-decoration: underline;
}

.loginBtnCnt {
  margin-top: 15px;
  display: flex;
  justify-content: space-between;
}

.loginBtn {
  width: 157px;
  height: 48px;
  box-sizing: border-box;
  position: relative;
  padding: 0 4px 0 46px;
  border: none;
  border-radius: 4px;
  font-size: 16px;
  line-height: 34px;
  color: #ffffff;
  transition: 0.3s;
  cursor: pointer;
}

.loginBtn:before {
  content: "";
  box-sizing: border-box;
  position: absolute;
  top: 8px;
  left: 1px;
  width: 44px;
  height: 30px;
}

.loginBtn:focus {
  outline: none;
}

.loginBtn:active {
  transform: scale(0.99);
}

.loginBtn--facebook {
  background: #305db8;
}

.loginBtn--facebook:before {
  border-right: rgba(10, 22, 47, 0.5) 1px solid;
  background: url("../img/f.svg") no-repeat;
  background-position: 13px 2px;
}

.loginBtn--facebook:hover,
.loginBtn--facebook:focus {
  background: #022263;
}

.loginBtn--google {
  background: #df4a32;
}

.loginBtn--google:before {
  border-right: rgba(43, 13, 9, 0.5) 1px solid;
  background: url("../img/G.svg") 6px 6px no-repeat;
}

.loginBtn--google:hover,
.loginBtn--google:focus {
  background: #ab1f09;
}

.or-line {
  width: 100%;
  margin: 27px 0 8px;
  padding: 0;
  text-align: center;
  color: #848484;
}

.or-line:after {
  display: inline-block;
  margin: 0 0 3px 10px;
  height: 1px;
  content: "";
  background: #f2f2f2;
  width: 142px;
}
.or-line:before {
  display: inline-block;
  margin: 0 10px 3px 0;
  height: 1px;
  content: "";
  background: #f2f2f2;
  width: 142px;
}

.form-group input {
  margin: 0 0 15px;
  border: 1px solid #f2f2f2;
  border-radius: 4px;
  display: block;
  width: 100%;
  padding: 14px 0;
  font-size: 14px;
  color: #434343;
  text-indent: 20px;
  transition: 0.3s;
}

.form-group input::placeholder {
  color: #bebebe;
  font-size: 14px;
}

.form-group input:focus {
  border: 1px solid #ffffff;
  outline: 0;
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}

.btn {
  margin-top: 20px;
  cursor: pointer;
  display: inline-block;
  width: 100%;
  padding: 15px;
  font-family: inherit;
  font-size: 16px;
  color: #ffffff;
  border: 0;
  background: rgba(60, 184, 120, 0.8);
  border-radius: 4px;
  transition: 0.3s;
}

.btn:active {
  transform: scale(0.99);
}

.btn-submit:hover {
  background-color: #01813f;
}

input[type="checkbox"]:checked,
input[type="checkbox"]:not(:checked) {
  position: absolute;
  left: -9999px;
}

input[type="checkbox"]:checked + label,
input[type="checkbox"]:not(:checked) + label {
  display: inline-block;
  position: relative;
  padding-left: 28px;
  line-height: 20px;
}
input[type="checkbox"]:checked + label:before,
input[type="checkbox"]:not(:checked) + label:before {
  content: "";
  position: absolute;
  left: 0px;
  top: 0px;
  width: 18px;
  height: 18px;
  border: 1px solid #dddddd;
  background-color: #ffffff;
}

input[type="checkbox"]:checked + label:before,
input[type="checkbox"]:not(:checked) + label:before {
  border-radius: 2px;
}

input[type="checkbox"]:checked + label:after,
input[type="checkbox"]:not(:checked) + label:after {
  content: "";
  position: absolute;
  -webkit-transition: all 0.2s ease;
  -moz-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
  transition: all 0.2s ease;
}

input[type="checkbox"]:checked + label:after,
input[type="checkbox"]:not(:checked) + label:after {
  left: 4px;
  top: 4px;
  width: 10px;
  height: 5px;
  border-radius: 1px;
  border-left: 2px solid #3cb878;
  border-bottom: 2px solid #3cb878;
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

input[type="checkbox"]:not(:checked) + label:after {
  opacity: 0;
}

input[type="checkbox"]:checked + label:after {
  opacity: 1;
}

.terms {
  color: #3cb878;
}

.terms:hover {
  color: #01813f;
  text-decoration: underline;
}
